<?php

declare(strict_types=1);

namespace App\Policies;

use Illuminate\Foundation\Auth\User as AuthUser;
use App\Models\OrderPackage;
use Illuminate\Auth\Access\HandlesAuthorization;

class OrderPackagePolicy
{
    use HandlesAuthorization;
    
    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:OrderPackage');
    }

    public function view(AuthUser $authUser, OrderPackage $orderPackage): bool
    {
        return $authUser->can('View:OrderPackage');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:OrderPackage');
    }

    public function update(AuthUser $authUser, OrderPackage $orderPackage): bool
    {
        return $authUser->can('Update:OrderPackage');
    }

    public function delete(AuthUser $authUser, OrderPackage $orderPackage): bool
    {
        return $authUser->can('Delete:OrderPackage');
    }

    public function restore(AuthUser $authUser, OrderPackage $orderPackage): bool
    {
        return $authUser->can('Restore:OrderPackage');
    }

    public function forceDelete(AuthUser $authUser, OrderPackage $orderPackage): bool
    {
        return $authUser->can('ForceDelete:OrderPackage');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:OrderPackage');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:OrderPackage');
    }

    public function replicate(AuthUser $authUser, OrderPackage $orderPackage): bool
    {
        return $authUser->can('Replicate:OrderPackage');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:OrderPackage');
    }

}